<!--<p>albums works!</p>-->

<!--Image and Text NavBar-->
<nav class="navbar navbar-light bg-light">
  <a class="navbar-brand">My Top 5 Favorite Albums</a>
  <form class="form-inline">
<!--    <input class="form-control mr-sm-2" type="search" placeholder="Search" aria-label="Search">-->
<!--    <button class="btn btn-outline-success my-2 my-sm-0" type="submit">Search</button>-->
  </form>
</nav>
<!--Button to add album-->
<button [disabled]="enableAddAlbum" class="btn btn-dark btn-block mb-3">Add an Album</button>
<!--Submit forms-->
<!--<button (click)="enableAddAlbum() = onSubmit($any())" class="btn btn-dark mb-3">Add Album</button>-->
<!--<div class="card card-body mb-3" *ngIf="addAlbum()">-->
<!--  <form name="ngForm" (click)="onSubmit(addAlbum())">-->
<!--    <div class="form-group">-->
<!--      <label>Title</label>-->
<!--      <input type="text" [(ngModel)]="album.title" class="form-control" name="title">-->
<!--    </div>-->
<!--    <div class="form-group">-->
<!--      <label>Artist</label>-->
<!--      <input type="text"  [(ngModel)]="album.artist" class="form-control" name="artist">-->
<!--    </div>-->
<!--    <div class="form-group">-->
<!--      <label>Songs</label>-->
<!--      <input type="text" [(ngModel)]="album.songs" class="form-control" name="songs">-->
<!--    </div>-->
<!--    <div class="form-group">-->
<!--      <label>Genre</label>-->
<!--      <input type="text" [(ngModel)]="album.genre" class="form-control" name="genre">-->
<!--    </div>-->
<!--  </form>-->
<!--</div>-->
<!--End of forms-->
<div>
  <ul class="list-unstyled" *ngIf=" albums.length > 0">
    <li class="card card-body mb-5" *ngFor="let album of albums" [class.bg-danger]="album.isActive">
      <div class="row">
        <div class="col-sm-4">
          <!--   BINDING IMAGE PROPERTY     -->
          <img class="img-fluid" [src]="album.image" alt="">
        </div>
        <div class="col-sm-8">
          <h2> {{ album.title }}</h2>
          <h3>Artist: {{ album.artist }}</h3>
          <ul>
            <li class="form-group" *ngIf="albums"> Singles: {{ album.songs }}</li>
            <li class="form-group" *ngIf="albums"> Favorite Song: {{ album.favorite }} </li>
            <li class="form-group" *ngIf="albums"> Units Sold: {{ album.units | currency: "USD" }}</li>
          </ul>
        </div>
      </div>
    </li>
  </ul>
  <h3 *ngIf="albums.length === 0">No Albums Found</h3>
    <h3 *ngIf="loadingAlbum">Loading Albums...</h3>
</div>
<div>
  <footer>
      <blockquote class="blockquote mb-0">
        <footer class="blockquote-footer">My Top 5 Favorite Albums <cite title="Source Title"> by MaryAnn Frias</cite></footer>
      </blockquote>
  </footer>
</div>




